Bug 191627 - php-pecl-pdo-devel conflicts with core php-devel
php-pecl-pdo-devel conflicts with core php-devel
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: php-pecl-pdo (Show other bugs)
5
All Linux
medium Severity medium
: ---
: ---
Assigned To: Matthias Saou
Fedora Extras Quality Assurance
:
Depends On: 191695
Blocks:
  Show dependency treegraph
 
Reported: 2006-05-13 19:41 EDT by Edward Rudd
Modified: 2007-11-30 17:11 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-05-23 06:42:58 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Edward Rudd 2006-05-13 19:41:47 EDT
php-pecl-pdo-devel conflicts with php-devel thus making installation impossible.

Also php-pecl-pdo is allowed to be installed at the same time as php-pdo (thus
overwriting the /usr/lib/php/modules/pdo.so)

this package should Provide: php-pdo so it will replace it, or just not make
this package available and update the php-pecl-pdo-sqlite package to use
php-pdo/php-devel packages.
Comment 1 Matthias Saou 2006-05-15 06:27:08 EDT
I've just discovered that FC's PHP 5.1.3 has php-pdo and includes the PDO
extension, as well as the sqlite one. The solution here seems to have the
"php-pecl-pdo*" packages removed and php-pdo to obsolete them.
Comment 2 Matthias Saou 2006-05-23 06:42:58 EDT
The obsoletes were already in place, I just hasn't been notified about it. The
packages have now been removed, so all you need is php-pdo and php-devel from
now on.

Note You need to log in before you can comment on or make changes to this bug.